How do I solve this?

Discussion in 'Server & Community Management' started by PantMan, May 25, 2017.

  1. it's not letting me download multicraft for my dedicated server because it does not meet the minimum requirements. How do I get SQLite Database connection and system security?
     

    Attached Files:

  2. Gaxan

    Supporter

    I personally see no reason to use multicraft on a dedicated unless you plan to sell shared hosting. Click the protected directory trouble shooting link, it should give you instructions on how to fix it.
     
  3. Why are you installing multicraft? Use pterodactyl. Its free.
    https://pterodactyl.io
    In all seriousness, why are you trying to install a panel on a dedi?
     
  4. ScarabCoder

    ScarabCoder Retired Resource Staff
    Retired

    Assuming you're on Linux, edit the Apache config:

    sudo nano /etc/apache2/apache2.conf

    Scroll down to the <Directory> tag, and change "AllowOverride None" to "AllowOverride All". Now save and exit with CtrlX, S, Enter.
     
  5. i keep getting errors when trying to install pterodactyl
     
  6. it's not working. I tried the following.

    Last login: Thu May 25 09:42:09 2017 from 36.255.86.19
    [email protected]:~#
    [email protected]:~# sudo nano /etc/apache2/apache2.conf
    sudo: nano: command not found
    [email protected]:~# nano /etc/apache2/apache2.conf
    -bash: nano: command not found
    [email protected]:~# sudo apt-get install nano
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    You might want to run 'apt-get -f install' to correct these:
    The following packages have unmet dependencies:
    mysql-server : Depends: mysql-server-5.7 but it is not going to be installed
    E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).
    [email protected]:~# nano /etc/apache2/apache2.conf
    -bash: nano: command not found
    [email protected]:~#
     
  7. ScarabCoder

    ScarabCoder Retired Resource Staff
    Retired

    Try "sudo apt-get -f install", then "sudo apt-get install nano". I assumed nano came with all Linux distributions; are you using Ubuntu?
     
  8. yes im using ubuntu 16.04
     
  9. still not working
     
  10. electronicboy

    IRC Staff

    what was the output of apt-get -f install ?
     
    • Agree Agree x 1
  11. Why do you need a panel? Are you starting a hosting company?